<ng-container *transloco="let t; read: 'navigation'">
  <button
    mat-button
    class="mat-button-small flex-button"
    [matMenuTriggerFor]="menu"
    aria-label="Profile dropdown menu">
    <app-user-info [userInfo]="userInfo"></app-user-info>
  </button>
  <mat-menu #menu="matMenu">
    <button
      mat-menu-item
      (click)="itemClicked.emit({route:MY_PROFILE_ROUTE})">
      <mat-icon>account_circle</mat-icon>
      <span>{{t('my_profile')}}</span>
    </button>
    <button
      mat-menu-item
      (click)="itemClicked.emit({route:MY_ORG_ROUTE})">
      <mat-icon>admin_panel_settings</mat-icon>
      <span>{{t('my_organizations')}}</span>
    </button>
    <button
      mat-menu-item
      (click)="itemClicked.emit({route:MY_ACTIVE_ORG_ROUTE})">
      <mat-icon>verified_user</mat-icon>
      <span>{{t('active_organization')}}</span>
    </button>
    <button
      *ngIf="showAdminItem"
      mat-menu-item
      (click)="itemClicked.emit({route:initialAdminRoute??''})">
      <mat-icon>settings_account_box</mat-icon>
      <span>{{t('administration')}}</span>
    </button>
    <button
      *ngIf="showClearances"
      mat-menu-item
      (click)="itemClicked.emit({route:CLEARANCE_MAINTAINER_ROUTE})">
      <mat-icon>workspace_premium</mat-icon>
      <span>{{t('edit_clearances')}}</span>
    </button>
    <button
      mat-menu-item
      (click)="logoutClicked.emit()">
      <mat-icon>logout</mat-icon>
      <span>{{t('logout')}}</span>
    </button>
  </mat-menu>
</ng-container>
